Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.vordel.mime
Enum ContentType.Authority

    java.lang.Object
      java.lang.Enum<ContentType.Authority>
          com.vordel.mime.ContentType.Authority

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ContentType.Authority>

Enclosing class:
  ContentType

    public static enum ContentType.Authority

extends java.lang.Enum<ContentType.Authority>

Enum Constant Summary
`MIME`
`URI`

Method Summary
`static ContentType.Authority` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContentType.Authority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### URI

    public static final ContentType.Authority URI

### MIME

    public static final ContentType.Authority MIME

Method Detail

### values

    public static ContentType.Authority[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContentType.Authority c : ContentType.Authority.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContentType.Authority valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel